﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace TabControlItemContainerStyle
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			PrismTab.ItemsSource = new ObservableCollection<MyViewModel>()
			{
				new MyViewModel()
				{
					ViewName = "First View",
					ViewContent = new Button(){ Content = "First View Content" }
				},

				new MyViewModel()
				{
					ViewName = "Second View",
					ViewContent = new RadioButton(){ Content = "Second View Content" }
				}
			};
		}
	}

	public class MyViewModel
	{
		public string ViewName { get; set; }

		public object ViewContent { get; set; }
	}
}
